#
#       Makefile for dclf90/f90
#
#       Copyright (C) 2000-2022 GFD Dennou Club. All rights reserved.
#

include ../../../../Mkinclude

LIBNAME	= f90f77
LIBFSRCS	= dcl_common.f90 dcl_parm.f90 blklib.f90  chglib.f90 chklib.f90 \
		  ctrlib.f90     datelib.f90  fftlib.f90  gnmlib.f90 grpack.f90 \
		  indxlib.f90    intlib.f90   intrlib.f90 lrllib.f90 maplib.f90 \
		  oslib.f90      rfalib.f90   rfblib.f90  rnmlib.f90 scpack.f90 \
		  sgpack.f90     shtrlib.f90  slpack.f90  syslib.f90 timelib.f90 \
		  udpack.f90     uepack.f90   ugpack.f90  uhpack.f90 umpack.f90 \
		  uspack.f90     uupack.f90   uvpack.f90  uwpack.f90 uzpack.f90 \
		  dcl.f90
LIBCSRCS	=
LIBSRCS	= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= dcl_common.o dcl_parm.o blklib.o  chglib.o chklib.o \
		  ctrlib.o     datelib.o  fftlib.o  gnmlib.o grpack.o \
		  indxlib.o    intlib.o   intrlib.o lrllib.o maplib.o \
		  oslib.o      rfalib.o   rfblib.o  rnmlib.o scpack.o \
		  sgpack.o     shtrlib.o  slpack.o  syslib.o timelib.o \
		  udpack.o     uepack.o   ugpack.o  uhpack.o umpack.o \
		  uspack.o     uupack.o   uvpack.o  uwpack.o uzpack.o \
		  dcl.o
LIBCOBJS	=
LIBOBJS	= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)
	install -m 644 *$(MODEXT) $(LINCDIR)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	-rm -f *.o *.mod *.d $(LIBFILE) dcl-f90.pc work.pc* *~
